System.ServiceModel 4.0.0.0 System.ServiceModel.Security.Tokens.SecurityTokenParameters

This class is a collection of token properties and methods, and is used in creating security binding elements and tokens.

Represents the parameters for a security token issued in a Federated security scenario.

- Constructor
  4.0.0.0

  The new instance property values are set to their defaults:

  is set to .

  is set to .

  is set to true.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  The new instance property values are set to the corresponding values in .

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  The new instance property values are set to their defaults:

  is set to .

  is set to .

  is set to true.

  is set to .

  Initializes a new instance of the class using the specified token type.

  The token type.
- Constructor
  4.0.0.0

  The new instance property values are set to their defaults:

  is set to .

  is set to .

  is set to true.

  is set to .

  is set to .

  Initializes a new instance of the class using the specified token type and issuer address.

  The token type.
  The address of the endpoint that issues the token.
- Constructor
  4.0.0.0

  The new instance property values are set to their defaults:

  is set to .

  is set to .

  is set to true.

  is set to .

  is set to .

  is set to .

  Initializes a new instance of the class using the specified token type, issuer address and issuer binding.

  The token type.
  The address of the endpoint that issues the token.
  The binding of the issuer.
- Property
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.Xml.XmlElement> To be added. To be added.

  Gets a collection of additional request parameters

- Property
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Security.Tokens.ClaimTypeRequirement> To be added.

  In a federated scenario, services state the requirements on incoming credentials. For example, the incoming credentials must possess a certain set of claim types. Each in the returned collection specifies the types of required and optional claims expected to appear in a federated credential.

  A claim type requirement consists of the URI of the claim type requested in the issued token along with a Boolean parameter that indicates whether that claim type is required in the issued token or is optional.

  Gets a collection of claim type requirements.

- Method
  4.0.0.0
  System.ServiceModel.Security.Tokens.SecurityTokenParameters

  The and methods follow the Core design pattern.

  is an abstract class that is overridden by .

  The method calls the constructor.

  Clones another instance of this instance of the class.

  A that represents the copy.

- Method
  4.0.0.0
  System.IdentityModel.Tokens.SecurityKeyIdentifierClause `` ``

  Creates a key identifier clause using the method, with as a generic parameter.

  Creates a key identifier clause for a token.

  The security key identifier clause.

  The token. The reference style of the security token.
- Method
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.Xml.XmlElement> `` `` To be added.

  Creates a collection of issued token request parameter XML elements that get included in the request sent by the client to the security token service.

  A that contains XML elements that represent the request parameters.

  The message security version. The security token serializer.
- Property
  4.0.0.0
  System.Boolean To be added.

  Asymmetric keys are used in public-key cryptography, which uses two keys, a public key and a private key, which are related mathematically. The public key is distributed widely, but the private key is kept secret. In public-key cryptography, there is no requirement to exchange a common key.

  Gets a value that indicates whether the issued token has an asymmetric key.

- Method
  4.0.0.0
  System.Void ``

  The following properties of the are initialized:

  is set to the value in the current instance of this class.

  = true.

  is set to the value in the current instance of this class.

  When implemented, initializes a security token requirement based on the properties set on the IssuedSecurityTokenParameters.

  The security token requirement to initialize.
- Property
  4.0.0.0
  System.ServiceModel.EndpointAddress To be added. To be added.

  Gets or sets the token issuer's address.

- Property
  4.0.0.0
  System.ServiceModel.Channels.Binding To be added.

  Note that this property does not need to be populated on the service, because it is only accessed by the client.

  Gets or sets the token issuer's binding, to be used by the client.

- Property
  4.0.0.0
  System.ServiceModel.EndpointAddress To be added. To be added.

  Gets or sets the token issuer's metadata address.

- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets or sets the issued token key size.

- Property
  4.0.0.0
  System.IdentityModel.Tokens.SecurityKeyType To be added. To be added.

  Gets or sets the issued token key type.

- Property
  4.0.0.0
  System.Boolean To be added.

  This property always returns true.

  When implemented, gets a value that indicates whether the token supports client authentication.

- Property
  4.0.0.0
  System.Boolean To be added.

  This property always returns false.

  When implemented, gets a value that indicates whether the token supports a Windows identity for authentication.

- Property
  4.0.0.0
  System.Boolean To be added.

  This property always returns true.

  When implemented, gets a value that indicates whether the token supports server authentication.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets or sets the issued token type.

- Method
  4.0.0.0
  System.String

  The method displays the name of this class, , , , , , (if not null) and binding elements, and (if not 0).

  Displays a text representation of this instance of the class.

  A text representation of this instance of this class.